package com.ffii.core.exception;

import org.springframework.http.HttpStatus;
import org.springframework.web.server.ResponseStatusException;

/* e.g. sub record not under record */
public class ConflictException extends ResponseStatusException {

  public ConflictException() {
    super(HttpStatus.CONFLICT);
  }

  public ConflictException(String reason) {
    super(HttpStatus.CONFLICT, reason);
  }
}
